Bug Hunting Session
Bug 108907 - conditional paragraph style does not work with outline level
Summary: conditional paragraph style does not work with outline level
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:fodt, filter:odt
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2017-07-02 18:38 UTC by Regina Henschel
Modified: 2019-09-17 02:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Conditional paragraph style (13.40 KB, application/vnd.oasis.opendocument.text)
2017-07-02 18:38 UTC, Regina Henschel
Details
Screenshot of file rendered by WebODF (46.47 KB, image/png)
2017-07-02 18:42 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-07-02 18:38:48 UTC
Created attachment 134434 [details]
Conditional paragraph style

If a paragraph style is a conditional style and has "outline level" as condition, then the <text:h> element to which it is assigned, should get a text:cond-style-name attribute. LibreOffice does not write this attribute.

If LibreOffice opens a file, which uses conditional style, the condition is not evaluated. Worse, the <text:h> element contains the text:cond-style-name attribute for those applications, which can evaluate the condition, and the text:style-name attribute, which contains the style name of the last evaluation, for those applications, which cannot evaluate the condition. But LibreOffice takes the style name reference of the text:cond-style-name without evaluating the condition and therefore uses a wrong style for the headings.
Resaving such document looses the text:cond-style-name attribute.

The relevant part in the specification is section 19.776 text:cond-style-name.
http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1418810_253892949
Comment 1 Regina Henschel 2017-07-02 18:42:42 UTC
Created attachment 134435 [details]
Screenshot of file rendered by WebODF

The WebODF plugin renders the headings correctly.
Comment 2 Buovjaga 2017-07-06 11:38:21 UTC
Confirmed.

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 9eed346b0b745f0598eefc572c789d58353b5e31
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 5th 2017
Comment 3 QA Administrators 2018-09-16 02:49:09 UTC Comment hidden (obsolete)
Comment 4 Regina Henschel 2018-09-16 22:08:11 UTC
The error still exists in Version: 6.2.0.0.alpha0+ (x64)
Build ID: efe119aaa50e9f532b3fac1ef153469c80f24b80
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-10_01:36:26
Locale: de-DE (en_US); Calc: CL
Comment 5 QA Administrators 2019-09-17 02:47:55 UTC
Dear Regina Henschel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug